# tkz-graph — for graph theory

Release 2.0 2021/01/20

## Description

The package tkz-graph.sty is a collection of some useful macros if you want to
 draw manually a graph of the graph theory. The kind of graphs that I will
  present, are sometimes called combinatorial graphs to distinguish them from
  the graphs of functions. The macros are designed to give math
 teachers (and students) easy access at the programmation of drawing graphs
  with  TikZ.  I therefore hope that my  packages provide  ideal tools for
   teachers wanting to offer their students fine documents of maths.

## Licence

The scontents package may be modified and distributed under the terms and
conditions of the [LaTeX Project Public License](https://www.latex-project.org/lppl/), version 1.3c or greater.


## Requirements

The package compiles with utf8, pdflatex and lualatex, loads and depends on updated versions of:
- [tikz](https://ctan.org/pkg/tikz)

## Installation

The package `tkz-graph` is present in TeXLive and MiKTeX, use the package
manager to install.

You can experiment with the `tkz-graph` package by placing all of the
distribution files in the directory containing your current tex file.


## How to use it

To use the package `tkz-graph`, place the following line in the preamble of
your LaTeX document:

```
\usepackage{tkz-graph}
```

## Documentation

Documentation for `tkz-graph` is available on `CTAN`. 

## Examples

All  examples given in documentation will be stored on `CTAN` as standalone
files, ready for compilation. 

Other examples, in french, are on my site: [http://altermundus.fr](http://altermundus.fr)

## History

- 2.00 correction of bugs and new documentation
- 1.00 first version

## Author

Alain Matthes, 5 rue de Valence, Paris 75005, al (dot) ma (at) mac (dot) com
